Subject: 24.2.50; gc hangs

From: Christopher Schmidt <[email-masked]>
Date: Thu, 25 Oct 2012 19:24:07 +0100 (BST)

GNU Emacs 24.2.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10) of
2012-10-25

Sometimes, that is usually after 3 to 20 minutes of Emacs usage, the gc
hangs/loops indefinitely.  The problem only occurs when I run a specific
application for Emacs (ampc).  The problem first occurred after I
refactored some code of this application from timer callbacks to a
process filter.

Here is the backtrace:

Thank you!

        Christopher